#!/usr/bin/perl
### Best with Perl 5.6 or better
#  Path to Perl - you may need to check your server admin just in case
#  it is different.
##########################################################################
#  Forum2 Development Overview
#  DForum 1.01 (11/02/1999)
#  http://www.dansteinman.com/dforum
#  Copyright (C) 1998 Dan Steinman
#
#  This version by Ted Hawkins, Forum2.6, January 2003
#  http://scriptles.bluwall.com
#   Including
#   1) Footer script by Michael Mathews, August 2002
#      http://perlcircus.com
#
#   2) Latest reply to a subject posting
#      by Jeff Thomas, December 2002
#      http://www.jhthomas.net
#      Jeff redid the Original Dforum1 this way at www.roigi.com
#      and it has been written into Forum2 as of Version 2.5
# 
#   3) PerlBlog v1.08b by Rio Akasaka, May 2003-May 2005
#      Altered Forum2.6 into a customizable and flexible 
#      weblog.
#
#      http://www.chronicled.org/perlblog
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License (license.txt) for more details.
#  
##########################################################################
#  filename:    weblog-config.pl
# Set-Up Variables
# The document-root environment
$root = "$ENV{'DOCUMENT_ROOT'}";
# This is the default
# $forumdir = "$root/your-path-goes-here"
# The below should work on most servers - check with your Sys Admin to be sure.
$forumdir = "blogdata";
$contentdir = "content";#the path to the txt-content of pages
#################################### EASY CUSTOMIZE ############################
# Customizing your weblog.
# You can change the defaults to reflect your site's design and style.
# If you put quotation marks within the quotation marks, be sure to a \ sign before each.  
#################################### Administration ############################
$username = "oreolek";                               # Weblog username
$password = "verylongpasswordindeed";                           # Weblog password
$adminusername = "administrator";                      # Weblog-admin.pl username
$adminpassword = "this_password_has_underscores";                   # Weblog-admin.pl password
$code = "write_post";                                           # Weblog journal page 
$ssource="./blogdata";                                  # Source to your images and JavaScript (omit final slash)
$show="5";      			           # Number of posts to show
$recent="yes";                                               # Show recent posts or not
$recentnum="10";                                           # Number of recent posts to show
$lang="ru";                                                    # Language of weblog
$charset="windows-1251";                                          # Character set (utf-8 is standard)
$inputwc="email";                                        # Show website or email on comment box input

#################################### Titles and names ############################
$blogtitle = "   aka Oreolek";                  # Weblog title
$posted = "  ";                         # Post title at end of each entry
$description = "   Perl/CGI";         # Blog description (used for search engines)
$keywords = "PerlBlog, v.1.09";                       # Blog keywords (used for search engines)
$subtitle = "Based on the PerlBlog v.1.09";         # Blog subtitle
$author = "Oreolek";                                             # Blog author (used for search engines)



#################################### Images ############################
$bgimg="../background.gif";                                                        # Blog background image (optional)
$headerimg ="";                                                 # Header image (optional, include http)
$footerimg="";			                # Footer image (optional, include http)



#################################### Main details ############################
$maincolor ="#ffffff";                                 # Main weblog entry background color
$bgcolor="#144A64";                                 # Main weblog background color
$width ="782";                                        #Blog Width
$jwidth="480px";                                       # Blog Entry (left column) width



#################################### Header ############################
$height="15px";                                               #Header Section Height
$paddingtp ="20px";		           # Header padding top (how far the title is from the top)
$bgtopcolor ="#FFFFFF";                              # Header background color
$paddinglft ="35px";		          # Header padding left (how far the title is from the left, keep congruous to paddingr)



#################################### Title ############################
$headertitlefont="Georgia";                          # Title (in header area) font
$titlesize="130%";                                         # Title (in header area) font size
$headertitlecolor="#FFFFFF";                          # Title (in header area) font color
$headertitlewg="bold";                                  # Title (in header area) font weight



#################################### Subtitle ############################
$sheight="10px";                                          #Subtitle Section Height
$subtitlepaddingtop="2px";                            # Subtitle distance from title
$subttfont="Trebuchet MS";                                  # Subtitle font
$subtitlesize="80%";                                    # Subtitle font size: the greater the value, the bigger
$subttcolor="#dddddd";                                 # Subtitle font color
$subttdeco="none";                                      # Subtitle font decoration: underline or none
$subtitlewg="none";                                      # Subtitle font weight: bold or none

$subtthfont="Arial";                                # Subtitle hover (mouseover) font
$subtthcolor="#dddddd";                               # Subtitle hover (mouseover) font color
$subtitlehsize="80%";                                  # Subtitle hover (mouseover) font size
$subtthdeco="none";                                   # Subtitle hover (mouseover) font decoration: underline or none
$subtitlehpwg="none";                                 # Subtitle hover font weight: bold or none




######################### Links, below the subtitle (main, archive, about) ###############
$hheight="150px";                                        #Header link Section Height
$headerpaddingtop="30px";                           # Header link distance from subtitle
$subttfontl="Trebuchet MS";                                  # Header link font
$subtitlesizel="80%";                                    # Header link font size: the greater the value, the bigger
$subttcolorl="#dddddd";                               # Header link font color
$subttdecol="none";                                      # Header link font decoration: underline or none
$subtitlewgl="none";                                      # Header link font weight: bold or none

$subtthfontl="Arial";                               # Header link hover (mouseover) font
$subtthcolorl="#dddddd";                            # Header link hover (mouseover) font color
$subtitlehsizel="80%";                                  # Header link hover (mouseover) font size
$subtthdecol="underline";                            # Header link hover (mouseover) font decoration: underline or none
$subtitlehpwgl="none";		          # Header link hover font weight: bold or none

$brackets="#dddddd";                                      # Header links brackets color

######################### Journal/Post details  ###############
$titlefont="Georgia";                                     # Journal post title font
$titlecolor="#4F4E46";                                 # Journal post title font color
$tentrysize="130%";                                     # Journal post title font size

$bodyfont="Verdana";                                  # Journal post entry font
$bodycolor="#4F4E46";                                # Journal post entry font color
$bodyesize="11px";                                       # Journal post entry font size
 


######################### Journal Tag details (what comes after the post) ###############
$tagfont="Verdana";                                     # Entry tag font
$tagfontsize="11px";                                     # Entry tag font size
$tagcolor="#4b4b4b";                                   # Entry tag font color
$tagweight="none";                                      # Entry tag font weight (bold or none)



######################### Sidebar ###############
$swidth="176px";                                       # Sidebar Column (right column) width
$direction="left";                                     # Sidebar left or right?
$paddingr="0px";                                     # If sidebar is on the left, make value to 0px
$paddingl="35px";                                        # If sidebar is on the left, make value to 35px

$sectionfont="Trebuchet MS";                   # Sidebar Column font
$sectionsize="100%";                                   # Sidebar Column font size
$sectionclr="#666666";                               # Sidebar Column color
$sidebarcolor="#ffffff";                                # Sidebar Column background color

$sectiontfont="Trebuchet MS";                  # Sidebar titles font
$sectionfsize="11px";                                    # Sidebar titles font size
$sidefcolor="#4F4E46";                               # Sidebar titles font color 
$sidefweight="bold";                                     # Sidebar titles font weight (bold or none)

$sectionlfont="Trebuchet MS";                  # Sidebar link font
$sectionls="11px";                                    # Sidebar link font size
$sectionlc="#aaaaaa";                               # Sidebar link font color 
$sidefweight="bold";                                     # Sidebar link font weight (bold or none)
$sectiondecol="none";		       # Sidebar link text-decoration (underline or none)

$sectionlfonth="Trebuchet MS";                  # Sidebar link hover font
$sectionlsh="11px";                                    # Sidebar link hover  font size
$sectionlch="#88a4bf";                               # Sidebar link hover font color 
$sidefweighth="bold";                                     # Sidebar link hover  font weight (bold or none)
$sectiondecolh="none";	                       # Sidebar link hover text-decoration (underline or none)



######################### General link details ###############
$linkcolor="#aaaaaa";                                    # Link color
$linkdeco="none";                                          # Link decoration: underline or none
$linkweight="none";                                       # Link weight: bold or none
$fontsz="70%";                                              # Link size

$hover="#88a4bf";                                        # Link hover (mouseover) color
$txtdecohover="none";                                 # Link hover (mouseover) decoration: underline or none
$fntweight="none";                                        # Link hover (mouseover) font-weight: bold or none



######################### Image details ###############
$imgborder="#ddd";                                   # Image border
$imgback="#eee";                                       #  Image background color
$imgpadding="4px";                                   #  Image padding



######################### Input/Comment box form details ###############
$inputborder="#4b4b4b";                           # Input form border color
$inputfont="Georgia";                                  # Input form font
$inputfsize="11px";                                       # Input form font size
$inputcolor="#333333";                               # Input form font color
$inputbg="#ffffff";                                         # Input form background color
 
$submitbg="#ffffff";                                      # Submit button background color
$submitborder="#333333";                        # Submit button border color
$submitfontcolor="#4b4b4b";                     # Submit button font color
$submitfontsize="12px";                               # Submit button font size
$submitfont="Arial";                                      # Submit button font



######################### Footer  ###############
$footerheight="40px";		          # Height of footer
$footercolor="#aaaaaa";	 	         # Footer background color
$footertxt="#ffffff";		        # Footer text color
$footersize="11px";                                     # Footer text size
$footerfont="Verdana";                               # Footer font family

$footerlinks="#ffffff";                                  # Footer link color
$footerdecoration="underline";                     # Footer link decoration

$footerhover="#000000";                             # Footer hover link color
$footerhdecoration="none";                         # Footer hover link decoration

######################### Popup comment box  ###############
$popup="no";                                               # Popup comments or not (yes or no)
$cheight="500";                                             # Popup comment box height
$cwidth="400";                                              # Popup comments box width
$cpost="yes";                                                # Popup comments see entry or not (yes or no)
$popccolor="#ffffff";                                       # Popup comments background color
$pocolor="#4a4a4a";                                     # Popup comments text color



########################### FURTHER COUSTOMIZATION ###############
# Customizing the pages further can be done, using about.txt for your about page, and footer.txt for your footer.
# The file sidebar.txt can be altered for your blog sidebar content.
##########################################################################
1;