#!/usr/bin/perl
require 'common.pl';
use CGI qw/:standard/;
use locale;
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
    local($name, $value) = split(/=/, $pair);
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $value =~ s/<!--(.|\n)*-->//g;
    $in{$name} = $value;
}
@cookieArray=split ("; ",$ENV{'HTTP_COOKIE'});
my $cookieName;my $cookieValue;
%cookieHash;
foreach (@cookieArray){
    ($cookieName,$cookieValue)=split("=",$_);
    $cookieHash{$cookieName}=$cookieValue;
}
if ($ENV{'QUERY_STRING'} ne '') {
    @qstr = split (/=/,$ENV{'QUERY_STRING'});
    $command = $qstr[0];
    $value = $qstr[1];
    $value =~ s/[\x00-\x20<>\|;\(\)\$^\+!\^\[\]\?\"\'\`]//g;

    if ($command eq "error"){$error=1;&displayDefault;}
    else {&displayDefault;}
}
else{
    if ($in{'input'}) {&parsecommand;}
    else {&displayDefault;}
}
sub displayDefault(){
print "Content-type: text/html\n\n";
print <<"EOF";
<html>\n
<head><script language="javascript">
    window.onload=function() {document.getElementById("in").focus();};
</script>\n<title>  </title>\n
EOF
if ($cookieHash{'light'}){print '<link type="text/css" rel="stylesheet" href="white.css">';}
else {print '<link type="text/css" rel="stylesheet" href="black.css">';}
print "</head><body>\n   .  ";
if ($cookieHash{'light'}){print ".";}
else {print ".";}
print <<"EOF";
<p>        .<br>
            .<br>
       ,   .
     .      .   .</p>
EOF
&lower_shelf();
if ($error){print "<p id=\"err\">  .</p>";$error=0;}
print "<FORM NAME='input' ACTION='parse.pl' METHOD='POST'>\n";
print "<input type='hidden' name='location' id='location' value='gostinaya'>\n";
print '&gt; <input type=text id="in" name="input" size=64 maxlength=32>';
print "</body>\n</html>";
}
sub lower_shelf{#  
if ($cookieHash{'leg'} && $cookieHash{'ball'} && $cookieHash{'match'}){print "    .";}
elsif ($cookieHash{'leg'} && $cookieHash{'ball'}){print "    .";}
elsif ($cookieHash{'match'} && $cookieHash{'ball'}){print "    -  .";}
elsif ($cookieHash{'leg'} && $cookieHash{'match'}){print "     .";}
elsif ($cookieHash{'leg'}){print "       .";}
elsif ($cookieHash{'ball'}){print "   -    .";}
elsif ($cookieHash{'match'}){print "   -        .";}
else {print"   - ,      .";}
}