#!/usr/bin/perl
require 'common.pl';
use CGI qw/:standard/;
use locale;
read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $buffer);
foreach $pair (@pairs) {
    local($name, $value) = split(/=/, $pair);
    $value =~ tr/+/ /;
    $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
    $value =~ s/<!--(.|\n)*-->//g;
    $in{$name} = $value;
}
if ($ENV{'QUERY_STRING'} ne '') {
    @qstr = split (/=/,$ENV{'QUERY_STRING'});
    $command = $qstr[0];
    $value = $qstr[1];
    $value =~ s/[\x00-\x20<>\|;\(\)\$^\+!\^\[\]\?\"\'\`]//g;

    if ($command eq "help") {&displayHelp;}
    elsif ($command eq "error"){$error=1;&displayDefault;}
    else {&displayDefault;}
}
else{&displayDefault;}
my @cookieArray=split ("; ",$ENV{'HTTP_COOKIE'});
my $cookieName;my $cookieValue;my %cookieHash;
foreach (@cookieArray){
    ($cookieName,$cookieValue)=split("=",$_);
    $cookieHash{$cookieName}=$cookieValue;
}
sub displayHelp(){
print "Content-type: text/html\n\n";
print <<"EOF";
<html>\n<head><title>  </title>\n
<link type="text/css" rel="stylesheet" href="white.css">
</head><body>\n
      .
<p>     .       ,:<br>
 <br>
 <br>
  <br>
         <br>
 <br>
  <br>
  <br>
    <br>
 <br>
   <br>
  -  ,    .  ,   .</p>
<p>    ,   . ,    .   ,  .   ,       .</p>
<p>         .            .    . "","","",     , .   -  -      .      , ,, ,  .,      .</p>
<p>   .</p>
<p>      " ".   "   " - ,,,   .   ,  .,   ,     -   .<br>
<p>          .<br>       , -  . , -     . - ,  <b> </b> ,    .   "    ", ,   .    " ,     ".    "   , ".    "       ",  "        ,     ". "    "  ,     2 .   " "  " "    - .  , .</p>
<p>  ,   .  ,     ,  - ,  ,   ...  ,  -    . ,         .     ,  "   " ,   " ".       ,         -  .</p>
<p> ,      oreolek&gt;at&lt;gmail.com. ,      -    .</p>
<p align="right"><i>  a.k.a. Oreolek.</i></p>
<br>      - "".  , :
<FORM NAME='input' ACTION='parse.pl' METHOD='POST'>\n
<input type='hidden' name='location' id='location' value='index'>\n
&gt; <input type=text id="in" name="input" size=64 maxlength=32>\n</form>
</body></html>
EOF
}
sub displayDefault(){
print "Content-type: text/html\n\n";
print <<"EOF";
<html>\n<head>
<script language="javascript">
    window.onload=function() {document.getElementById("in").focus();};
</script>\n<title>  </title>\n
<link type="text/css" rel="stylesheet" href="white.css">
</head><body>\n
!<br>
    .    .
<br>     .     ,, , 
    ,  "".     ,    .<br>
     , ,      cookies.<br>
      ,    . ,    ,
      .<br>
    .    <em>oreolek &gt;at&lt; gmail.com.</em>         ,     .  ,   :   ,   -.
<br> ,     <b>""</b>.
!<br>
<i>Oreolek.</i><br>
EOF
if ($error){print "<p id=\"err\">  .</p>";$error=0;}
print " : ";
print "<FORM NAME='input' ACTION='parse.pl' METHOD='POST'>\n";
print "<input type='hidden' name='location' id='location' value='index'>\n";
print '&gt; <input type=text id="in" name="input" size=64 maxlength=32></form>';
print <<"EOF";
<div id="hint"><noscript> Tab,</noscript>     Enter.<br/>
 ?  <a href="?help"></a>.<br>
<a href="changelog.html"><div align="right"> $version</div></a>
</div>
EOF
print "</body>\n</html>";
}